ZMQ_MSG_SIZE(3)

NAME
zmq_msg_size - retrieve message content size in bytes

SYNOPSIS

size_t zmq_msg_size (zmq_msg_t *msg);

DESCRIPTION

The zmq_msg_size() function shall return the size in bytes of the content of the message object referenced by msg.

    Caution

    Never access zmq_msg_t members directly, instead always use the zmq_msg family of functions.

RETURN VALUE

Upon successful completion, zmq_msg_data() shall return the size of the message content in bytes.

ERRORS

No errors are defined.

SEE ALSO

zmq_msg_data(3) zmq_msg_init(3) zmq_msg_init_size(3) zmq_msg_init_data(3) zmq_msg_close(3) zmq(7)

AUTHORS

This 0MQ manual page was written by Martin Sustrik <sustrik@250bpm.com[1]> and Martin Lucina <mato@kotelna.sk[2]>.

NOTES

1.  sustrik@250bpm.com
    mailto:sustrik@250bpm.com

2.  mato@kotelna.sk
    mailto:mato@kotelna.sk